<div class="main-reports-div">
<div class="latest-webp-conversion-reports">
    <h3>Latest WebP Conversion</h3>
        <?php
        $table_name_converted = $wpdb->prefix . 'easywebp_converted';
        $results = $wpdb->get_results( "SELECT * FROM $table_name_converted ORDER BY id DESC LIMIT 30"); 
        $reduce_size = 0;
        if ( !empty( $results ) ) {
        static $i;
         foreach ( $results as $row ){
            $i++;  
            $original_image = $row->original_image;
            $webp_image = $row->webp_image;
            $date_converted = strtotime($row->date_converted);

            $date = date('Y-m-d', $date_converted);

            $format_number = strlen($i);
            if ( $format_number == 1 ) {
            	$add_space = " &nbsp;";
            }else {
            	$add_space = "";
            }

                echo $i.".".$add_space.' <a href="'.$webp_image.'" target="_blank" class="webp-link">WebP</a> | <a href="'.$original_image.'" target="_blank" class="original-link">Original</a> | '. $date .'<br />';            }
        }
        ?>
</div>
	<?php
	$table_name_converted = $wpdb->prefix . 'easywebp_converted';
	$results = $wpdb->get_results( "SELECT * FROM $table_name_converted"); 
	$reduce_size = 0;
	if ( !empty( $results ) ) {

	    foreach( $results as $row ){

	        $reduce_size += $row->reduce_size;
	        sanitize_text_field( $_SESSION["reduce_size"]  = $reduce_size );
	    }

	} else {
	    sanitize_text_field( $_SESSION["reduce_size"]  = 0 );
	}

	$count_query = "select count(*) from $table_name_converted";
	$number_of_converted = $wpdb->get_var($count_query);

	$session_reduce_size = sanitize_text_field( $_SESSION["reduce_size"] );

	if ( $session_reduce_size === "0") {
	    $session_reduce_size = 0;
	}
	if ( $session_reduce_size === 0 ) {
	    $reduce_size = 0;
	} else {
	    $reduce_size = ( $session_reduce_size ) / $number_of_converted;
	}
	echo '<input type="hidden" id="number-of-convered" value=" '. $number_of_converted .' " />';
	echo '<input type="hidden" id="reduce-size" value=" '. $reduce_size .' " />';

	?>


<div id="chart-container-report">
<div id="canvas-holder" >
<canvas id="chart-area" width="400" height="400"></canvas>
</div>	
</div>



<div class="easy-webp-plan-report">
	<?php

	$table_name_customer_subscription = $wpdb->prefix . 'easywebp_customer_subscription';
	$results = $wpdb->get_results( "SELECT * FROM $table_name_customer_subscription ORDER BY id DESC LIMIT 1"); 

		if ( !empty( $results ) ) {

	    sanitize_text_field( $_SESSION["customer-subscription-email"]  = "" );
	    sanitize_text_field( $_SESSION["customer-subscription-site-url"]  = "" );
	    sanitize_text_field( $_SESSION["customer-subscription-unique-key"] = ""  );
	    sanitize_text_field( $_SESSION["customer-subscription-subscribe"] = "" );

	    foreach ( $results as $row ){  
	        sanitize_text_field( $_SESSION["customer-subscription-email"] = $row->email );
	        sanitize_text_field( $_SESSION["customer-subscription-site-url"] = $row->site_url );
	        sanitize_text_field( $_SESSION["customer-subscription-unique-key"] = $row->unique_key  );
	        sanitize_text_field( $_SESSION["customer-subscription-subscribe"] = $row->subscribe );
	    }

	    $email_subscription = sanitize_email( $_SESSION["customer-subscription-email"] );
	    $site_url_subscription = sanitize_text_field( $_SESSION["customer-subscription-site-url"] );
	    $unique_key_subscription = sanitize_text_field( $_SESSION["customer-subscription-unique-key"] );
	    $is_subscribe = sanitize_text_field( $_SESSION["customer-subscription-subscribe"] );


	    //user, pass, database, host
    	$wpdb2 = new wpdb( 'u303245712_ewp_username', 'ewp_db_Pass1', 'u303245712_ewp_db', '212.1.208.201');

	    $table_name_subscription_online = 'wp_easywebp_subscription';

	    $results_subscription = $wpdb2->get_results( "SELECT * FROM $table_name_subscription_online WHERE email='$email_subscription' AND site_url='$site_url_subscription' AND unique_key='$unique_key_subscription' AND subscribe='$is_subscribe' LIMIT 1"); 

	    if ( $results_subscription ) {
	    ?>

	    <center>
	    <div class="easy-webp-subscription-div-unlimited">
	    <b class="subscription-bold-text-unlimited">Current Plan :</b> 
	    <i>Unlimited Conversion.</i> 
	    </div>

	    <div class="easy-webp-current-plan">
		    <?php
		    $table_name_converted = $wpdb->prefix . 'easywebp_converted';
		    $results = $wpdb->get_results( "SELECT * FROM $table_name_converted"); 
		    $reduce_size = 0;

		    if ( !empty( $results ) ) {
		        $used_converted_size = "0";

		        foreach ( $results as $row ){   

		            $used_converted_size += $row->original_size;
		            sanitize_text_field( $_SESSION["used_converted_size"] = $used_converted_size );

		        }
		    }else {
		        sanitize_text_field( $_SESSION["used_converted_size"] = "0" );
		    }

		    ?>
	    <b class="subscription-bold-text-unlimited">Converted Size :</b>
		    <?php
		    	
		    	$sesion_converted_size = sanitize_text_field( $_SESSION["used_converted_size"] );
		        
		        if ( $_SESSION["used_converted_size"] === "0") { 
		            echo "0 MB."; 
		        } else {
		                echo round(( ( $sesion_converted_size ) / 1024 ), 2) . "MB.";
		        }
		    ?>
	    <br />
	    </div>
		    <?php
		        sanitize_text_field( $_SESSION["customer_is_subscribe"] = "true" );
		    ?>
	    </center>
	    <?php   
	    } else {
	    ?>
	    <center>
	    <a href="https://webdevphil.com/easy-webp-subscription/" class="easy-webp-subscribe-link" target="_blank">
	    <div class="easy-webp-subscription-div">
	    <b class="subscription-bold-text">Subscribe</b>&nbsp;here for Unlimited Conversion.
	    </div>
	    </a>
	    <div class="easy-webp-enter-subscription">
	    <center> 
	    <img src="<?php echo plugins_url("../assets/right-arrow-icon.png", __FILE__); ?>" /> Enter Subscription Details
	    </center>
	    </div>
	    <div class="easy-webp-subscription-form">
	    <form onsubmit="return false"> 
	    <input type="email" placeholder="Email" id="easy-webp-email-subscription" class="easy-webp-subscription-input" required="true" /><br />
	    <input type="text" title="Website to Subscribe : 
		    <?php 
		    $site_original_url = site_url();
		    $input = trim( $site_original_url, '/' );
		    // If scheme not included, prepend it
		    if ( !preg_match( '#^http(s)?://#', $input) ) {
		        $input = 'http://' . $input;
		    }
		    $urlParts = parse_url( $input );
		    $site_url_raw = preg_replace( '/^www\./', '', $urlParts['host'] ); // remove www
		    $get_url_with_sub_domain = explode( '.', $site_url_raw );
		    $site_url_array = array_slice( $get_url_with_sub_domain, -2, 2 );
		    sanitize_text_field( $_SESSION["get-url"] = "" );
		    foreach ( $site_url_array as $key => $val ) {
		    sanitize_text_field( $_SESSION["get-url"] .=$val."." );
		    }
		    $refine_url = sanitize_text_field( $_SESSION["get-url"] );
		    /* end of $url escaping and validation */
		    $site_url = substr($refine_url, 0, -1);
		    echo $site_url;

	     	?>" 
	     value="<?php echo $site_url; ?>" class="easy-webp-subscription-input" disabled="disabled" /><br />
	    <input type="text" placeholder="Key" id="easy-webp-key" class="easy-webp-subscription-input" required="true" /><br />
	    <input type="submit" value="Submit" class="easy-webp-subscription-submit" />
	    </form>
	    </div>
	    <div class="easy-webp-current-plan">
		    <?php
		        $table_name_converted = $wpdb->prefix . 'easywebp_converted';
		        $results = $wpdb->get_results( "SELECT * FROM $table_name_converted WHERE MONTH(date_converted) = MONTH(CURRENT_DATE)"); 
		        $reduce_size = 0;
		        if ( !empty( $results ) ) {
		            $used_converted_size = "0";

		            foreach ( $results as $row ){   

		                // $date = $row->date_converted;
		                $used_converted_size += $row->original_size;
		                sanitize_text_field( $_SESSION["used_converted_size"] = $used_converted_size);

		            }
		        } else {
		            sanitize_text_field( $_SESSION["used_converted_size"] = "0" );
		        }
		    ?>
	    <b class="subscription-bold-text">Current Plan</b> :
		    <?php 
		    	$used_converted_size = sanitize_text_field( $_SESSION["used_converted_size"] );
				if ( $used_converted_size === "0") { 

		        echo "0 MB Used"; 
		        } else {
		            echo round( ( ( $used_converted_size ) / 1024 ), 2) . "MB Used";
		        }
		    ?>
	    of 30MB per month.<br />
	    </div>
		    <?php
		        sanitize_text_field( $_SESSION["customer_is_subscribe"] = "false" );
		    ?>
	    </center>
	    <?php
	    } // end of if subscription is true
	    } else {
	    ?>
	    <center>
	    <a href="https://webdevphil.com/easy-webp-subscription/" class="easy-webp-subscribe-link" target="_blank">
	    <div class="easy-webp-subscription-div">
	    <b class="subscription-bold-text">Subscribe</b>&nbsp;here for Unlimited Conversion.
	    </div>
	    </a>
	    <div class="easy-webp-enter-subscription">
	    <center>
	    <img src="<?php echo plugins_url("../assets/right-arrow-icon.png", __FILE__); ?>" /> Enter Subscription Details
	    </center>
	    </div>
	    <div class="easy-webp-subscription-form">
	    <form onsubmit="return false"> 
	    <input type="email" placeholder="Email" id="easy-webp-email-subscription" class="easy-webp-subscription-input" required /><br />
	    <input type="text" title="Website to Subscribe : <?php 
		    $site_original_url = site_url();
		    $input = trim($site_original_url, '/');
		    // If scheme not included, prepend it
		    if (!preg_match('#^http(s)?://#', $input)) {
		        $input = 'http://' . $input;
		    }
		    $urlParts = parse_url($input);
		    $site_url_raw = preg_replace('/^www\./', '', $urlParts['host']); // remove www
		    $get_url_with_sub_domain = explode('.', $site_url_raw);
		    $site_url_array = array_slice($get_url_with_sub_domain, -2, 2);
		    sanitize_text_field( $_SESSION["get-url"] = "" );
		    foreach ( $site_url_array as $key => $val ) {
		    sanitize_text_field( $_SESSION["get-url"] .=$val."." );
		    }
		    $refine_url = sanitize_text_field( $_SESSION["get-url"] );
		    /* end of $url escaping and validation */
		    $site_url = substr($refine_url, 0, -1);
		    echo $site_url;
		     ?>" 
		 value="<?php echo $site_url; ?>" class="easy-webp-subscription-input" disabled="disabled" /><br />
	    <input type="text" placeholder="Key" id="easy-webp-key" class="easy-webp-subscription-input" required="required" /><br />
	    <input type="submit" value="Submit" class="easy-webp-subscription-submit" />
	    </form>
	    </div>       
	    <div class="easy-webp-current-plan">
		    <?php
		    $table_name_converted = $wpdb->prefix . 'easywebp_converted';
		    $results = $wpdb->get_results( "SELECT * FROM $table_name_converted WHERE MONTH(date_converted) = MONTH(CURRENT_DATE)"); 
		    $reduce_size = 0;
		    if ( !empty( $results ) ) {
		        $used_converted_size = "0";

		        foreach ( $results as $row ){   
		            $used_converted_size += $row->original_size;
		            sanitize_text_field( $_SESSION["used_converted_size"] = $used_converted_size );
		        }
		    } else {
		        sanitize_text_field( $_SESSION["used_converted_size"] = "0" );
		    }
		    ?>
	    <b class="subscription-bold-text">Current Plan</b> :
		    <?php 
		    	$used_converted_size = sanitize_text_field( $_SESSION["used_converted_size"] );
		    	if ( $used_converted_size === "0") { 
		        echo "0 MB Used"; 
		        } else {
		            echo round(( ( $used_converted_size ) / 1024 ), 2) . "MB Used";
		        }
		        sanitize_text_field( $_SESSION["customer_is_subscribe"] = "false" );
		    ?>
	    of 30MB per month.<br />
	    </div>
	    </center>
		<?php
		} // end of if subscription is not found
		?>
</div>
</div>